net.minecraft.world

## Class ChunkCoordIntPair

- java.lang.Object
- - net.minecraft.world.ChunkCoordIntPair

-     public class ChunkCoordIntPair
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `chunkXPos` The X position of this Chunk Coordinate Pair
    `int` | `chunkZPos` The Z position of this Chunk Coordinate Pair

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkCoordIntPair(int par1, int par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `chunkXZ2Int(int par0, int par1)` converts a chunk coordinate pair to an integer (suitable for hashing)
    `boolean` | `equals(Object par1Obj)`
    `int` | `getCenterXPos()`
    `int` | `getCenterZPosition()`
    `ChunkPosition` | `getChunkPosition(int par1)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### chunkXPos

          public final int chunkXPos

      The X position of this Chunk Coordinate Pair

    - #### chunkZPos

          public final int chunkZPos

      The Z position of this Chunk Coordinate Pair

  - ### Constructor Detail

    - #### ChunkCoordIntPair

          public ChunkCoordIntPair(int par1,
                           int par2)

  - ### Method Detail

    - #### chunkXZ2Int

          public static long chunkXZ2Int(int par0,
                         int par1)

      converts a chunk coordinate pair to an integer (suitable for hashing)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `Object`

    - #### getCenterXPos

          public int getCenterXPos()

    - #### getCenterZPosition

          public int getCenterZPosition()

    - #### getChunkPosition

          public ChunkPosition getChunkPosition(int par1)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`